> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Entity Futures Sweep

> Cancel the pending sweep for a given entity. A user will only be able to have one pending sweep at a time. If the sweep is not found, a 404 will be returned.



## OpenAPI

````yaml DELETE /v1/entities/{entity_id}/futures/sweeps
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/entities/{entity_id}/futures/sweeps:
    delete:
      tags:
        - Futures
      summary: Cancel Entity Futures Sweep
      description: >-
        Cancel the pending sweep for a given entity. A user will only be able to
        have one pending sweep at a time. If the sweep is not found, a 404 will
        be returned.
      operationId: PrimeRESTAPI_CancelFuturesSweep
      parameters:
        - name: entity_id
          in: path
          description: Entity ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.CancelFuturesSweepResponse
components:
  schemas:
    coinbase.public_rest_api.CancelFuturesSweepResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Success
          example: true
        request_id:
          type: string
          description: Request ID
          example: 00000000-0000-0000-0000-000000000000

````